.tutorials {
  width: 100%;
  padding: 0 25px;

  &__header {
    margin-bottom: 48px;
  }
}

.tutorials-header {
  &__title {
    margin-bottom: $spacing-s;
    font-weight: $font-light;
    font-size: 2rem;
    font-family: $font-open-sans;
  }

  &__description {
    margin: 0 0 10px;
    color: $pix-neutral-90;
    font-weight: $font-normal;
    font-size: 1rem;
    font-family: $font-roboto;
    line-height: 1.625rem;
  }
}

.tube {
  margin-bottom: 40px;

  &__title {
    margin-bottom: 24px;
    color: $pix-neutral-90;
    font-weight: $font-normal;
    font-size: 1.25rem;
    font-family: $font-open-sans;
    line-height: 2.125rem;
    letter-spacing: 0;
  }

  &__content {
    margin: 0;
    padding: 0;
    list-style: none;

    & .tutorial-card {
      margin-bottom: 16px;
    }
  }
}

.scorecard-details {
  &__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 14px;
    padding: 40px 0;
    font-family: $font-roboto;
    background-color: $pix-neutral-5;
    border-radius: 6.75px;

    @include device-is('desktop') {
      flex-direction: row;
    }
  }

  &__header {
    padding: 14px 14px 0;
  }

  &__resume-or-start-button,
  &__improve-button {
    margin: $spacing-m 0;
  }

  &__reset-button {
    width: 180px;
    margin-top: $spacing-m;
  }

  &__reset-modal {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  &__improving-text {
    margin-top: 4px;
    color: $pix-neutral-60;
    font-size: 0.8rem;
    font-family: $font-roboto;
    letter-spacing: 0.0075rem;
  }

  &__improvement-countdown {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    cursor: default;
  }

  &__congrats {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    cursor: default;
    white-space: normal;
    text-align: center;
  }
}

.scorecard-details-content {
  &__left {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
    max-width: 100%;
    padding: 0 30px 30px;

    @include device-is('desktop') {
      max-width: 68%;
      padding: 0 30px;
      border-right: 2px dashed $pix-neutral-22;
    }
  }

  &__right {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 100%;
    padding: 0 30px;
    white-space: nowrap;

    @include device-is('desktop') {
      max-width: 30%;
    }
  }
}

.scorecard-details-content-left {
  &__area {
    font-size: 0.875rem;
    letter-spacing: 0.125rem;
    text-transform: uppercase;

    &--jaffa {
      color: darken($pix-information-dark, 15%);
    }

    &--emerald {
      color: darken($pix-content-dark, 10%);
    }

    &--cerulean {
      color: darken($pix-communication-dark, 10%);
    }

    &--wild-strawberry {
      color: $pix-security-dark;
    }

    &--butterfly-bush {
      color: $pix-environment-light;
    }
  }

  &__name {
    margin: 15px 0;
    font-weight: $font-light;
    font-size: 2rem;
    font-family: $font-open-sans;
  }

  &__description {
    color: $pix-neutral-60;
    font-size: 1rem;
    font-family: $font-open-sans;
    line-height: 1.625rem;
  }
}

.scorecard-details-content-right {
  &__score-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  &__level-info {
    margin-top: 20px;
    color: $pix-neutral-80;
    letter-spacing: 0.019rem;
    white-space: nowrap;
    text-transform: uppercase;
  }

  &__reset-message {
    padding-top: 50px;
    color: $pix-neutral-30;
    font-size: 0.813rem;
    font-family: $font-roboto;
  }
}

.scorecard-details-content-right-score-container {
  &__pix-earned {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 60px;
    color: $pix-neutral-80;
    text-transform: uppercase;
  }
}

.scorecard-details-reset-modal {
  &__important-message {
    margin-bottom: $spacing-s;
    color: $pix-neutral-110;
    font-weight: $font-medium;
    font-size: 1.375rem;
    font-family: $font-roboto;
  }

  &__warning {
    padding-bottom: 10px;
    color: $pix-neutral-80;
    font-weight: $font-light;
    font-size: 1rem;
    font-family: $font-roboto;

    p {
      font-weight: bold;
    }

    .scorecard-details-reset-modal__list {
      padding-left: $spacing-l;
    }

    .scorecard-details-reset-modal-list__item {
      list-style: initial;
    }
  }

  &__footer {
    @include device-is('tablet') {
      display: flex;

      li + li {
        margin-left: 1rem;
      }
    }
  }
}

.scorecard-details-improvement-countdown {
  &__label {
    color: $pix-neutral-60;
    font-size: 0.6875rem;
    letter-spacing: 0.0075rem;
  }

  &__count {
    margin-top: 6px;
    color: $pix-neutral-90;
    font-size: 1rem;
    letter-spacing: 0.01rem;
  }
}

.scorecard-details-congrats {
  &__label {
    color: $pix-neutral-60;
    font-size: 0.83rem;
    letter-spacing: 0.0075rem;
  }
}
